/**
 * Castilian Spanish translations and formats.
```text
 Number: 1.234,56 €
 Date:   1-03-2024 14.50
```
 * @module i18n/es-ES
 */
/// <reference types="fomantic-ui-css" />
/// <reference types="jquery" />
/// <reference types="fomantic-ui-css" />
import type { CalendarSettings } from "../data/semantic-types";
declare const _default: {
    calendar: {
        type?: "time" | "month" | "year" | "date" | "datetime" | undefined;
        inline?: boolean | undefined;
        silent?: boolean | undefined;
        error?: Partial<Pick<FomanticUI.Calendar.Settings.Errors, keyof FomanticUI.Calendar.Settings.Errors>> | undefined;
        name?: string | undefined;
        metadata?: Partial<Pick<FomanticUI.Calendar.Settings.Metadatas, keyof FomanticUI.Calendar.Settings.Metadatas>> | undefined;
        text?: Partial<Pick<FomanticUI.Calendar.Settings.Texts, keyof FomanticUI.Calendar.Settings.Texts>> | undefined;
        on?: "click" | "focus" | null | undefined;
        className?: Partial<Pick<FomanticUI.Calendar.Settings.ClassNames, keyof FomanticUI.Calendar.Settings.ClassNames>> | undefined;
        performance?: boolean | undefined;
        touchReadonly?: boolean | undefined;
        minTimeGap?: 5 | 10 | 15 | 20 | 30 | undefined;
        selector?: Partial<Pick<FomanticUI.Calendar.Settings.Selectors, keyof FomanticUI.Calendar.Settings.Selectors>> | undefined;
        namespace?: string | undefined;
        debug?: boolean | undefined;
        verbose?: boolean | undefined;
        regExp?: Partial<Pick<FomanticUI.Calendar.Settings.RegExps, keyof FomanticUI.Calendar.Settings.RegExps>> | undefined;
        firstDayOfWeek?: 0 | 2 | 1 | 3 | 4 | 5 | 6 | 7 | undefined;
        constantHeight?: boolean | undefined;
        today?: boolean | undefined;
        closable?: true | undefined;
        monthFirst?: boolean | undefined;
        showWeekNumbers?: boolean | undefined;
        disabledDaysOfWeek?: number[] | undefined;
        disabledDates?: object[] | undefined;
        enabledDates?: object[] | undefined;
        eventDates?: object[] | undefined;
        eventClass?: string | undefined;
        initialDate?: Date | null | undefined;
        startMode?: false | "day" | "hour" | "minute" | "month" | "year" | undefined;
        minDate?: Date | null | undefined;
        maxDate?: Date | null | undefined;
        ampm?: boolean | undefined;
        disableYear?: boolean | undefined;
        disableMonth?: boolean | undefined;
        disableMinute?: boolean | undefined;
        formatInput?: boolean | undefined;
        startCalendar?: string | JQuery<HTMLElement> | null | undefined;
        endCalendar?: string | JQuery<HTMLElement> | null | undefined;
        multiMonth?: number | undefined;
        centuryBreak?: number | undefined;
        currentCentury?: number | undefined;
        selectAdjacentDays?: 5 | 10 | 15 | 20 | 30 | undefined;
        popupOptions?: Partial<Pick<FomanticUI.Calendar.Settings.Popup, keyof FomanticUI.Calendar.Settings.Popup>> | undefined;
        onBeforeChange?: ((this: JQuery<HTMLElement>) => void) | undefined;
        onShow?: ((this: JQuery<HTMLElement>) => void) | undefined;
        onVisible?: ((this: JQuery<HTMLElement>) => void) | undefined;
        onHide?: ((this: JQuery<HTMLElement>) => void) | undefined;
        onHidden?: ((this: JQuery<HTMLElement>) => void) | undefined;
        onSelect?: ((this: JQuery<HTMLElement>, date: Date, mode: string) => void) | undefined;
        onChange?(this: JQuery<HTMLElement>, date: Date, text: string, mode: string): void;
        formatter?: {
            cellTime?: string | import("../data/semantic-types").DateFormatFn | undefined;
            date?: string | import("../data/semantic-types").DateFormatFn | undefined;
            datetime?: string | import("../data/semantic-types").DateFormatFn | undefined;
            time?: string | import("../data/semantic-types").DateFormatFn | undefined;
            month?: string | import("../data/semantic-types").DateFormatFn | undefined;
            year?: string | import("../data/semantic-types").DateFormatFn | undefined;
            dayHeader?: string | import("../data/semantic-types").DateFormatFn | undefined;
            hourHeader?: string | import("../data/semantic-types").DateFormatFn | undefined;
            minuteHeader?: string | import("../data/semantic-types").DateFormatFn | undefined;
            monthHeader?: string | import("../data/semantic-types").DateFormatFn | undefined;
            yearHeader?: ((date: Date, settings: CalendarSettings) => string) | undefined;
            cell?: ((cell: JQuery<HTMLElement>, date: Date, options: {
                mode: string;
                adjacent: boolean;
                disabled: boolean;
                active: boolean;
                today: boolean;
            }) => string) | undefined;
            dayColumnHeader?: ((day: number, settings: CalendarSettings) => string) | undefined;
            today?: ((settings: CalendarSettings) => string) | undefined;
        } | undefined;
        parser?: {
            date?: import("../data/semantic-types").DateParseFn | undefined;
        } | undefined;
    };
    number: {
        decimal: string;
        thousandSeparator: string;
        listSeparator: string;
        moneyPrefix: string;
        moneySuffix: string;
        moneyPrecision: number;
    };
};
export default _default;
